net.sf.jasperreports.crosstabs.base

## Class JRBaseCrosstabColumnGroup

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup
  - - net.sf.jasperreports.crosstabs.base.JRBaseCrosstabColumnGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CrosstabBaseCloneable, JRCrosstabColumnGroup, JRCrosstabGroup, JRCloneable

      public class JRBaseCrosstabColumnGroup
      extends JRBaseCrosstabGroup
      implements JRCrosstabColumnGroup

  Base read-only implementation of crosstab column groups.
  Version:
    $Id: JRBaseCrosstabColumnGroup.java 5960 2013-03-07 14:54:18Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRCellContents` | `crosstabHeader`
    `protected int` | `height`
    `protected CrosstabColumnPositionEnum` | `positionValue`

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup

      `bucket, header, name, totalHeader, totalPositionValue, variable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseCrosstabColumnGroup(JRCrosstabColumnGroup group, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRCellContents` | `getCrosstabHeader()` Returns the crosstab header cell of the column group.
    `int` | `getHeight()` Returns the height of the group headers.
    `CrosstabColumnPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.base.JRBaseCrosstabGroup

      `clone, getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup

      `getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

- - ### Field Detail

    - #### height

          protected int height

    - #### positionValue

          protected CrosstabColumnPositionEnum positionValue

    - #### crosstabHeader

          protected JRCellContents crosstabHeader

  - ### Constructor Detail

    - #### JRBaseCrosstabColumnGroup

          public JRBaseCrosstabColumnGroup(JRCrosstabColumnGroup group,
                                   JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getPositionValue

          public CrosstabColumnPositionEnum getPositionValue()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the position of the header contents for header stretching.

      The column group headers stretch horizontally when there are multiple sub group entries. The header contents will be adjusted to the new width depending on this attribute:

      - `CrosstabColumnPositionEnum.LEFT` - the contents will be rendered on the left side of the header
      - `CrosstabColumnPositionEnum.CENTER` - the contents will be rendered on the center of the header
      - `CrosstabColumnPositionEnum.RIGHT` - the contents will be rendered on the right side of the header
      - `CrosstabColumnPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size
      Specified by:
        `getPositionValue` in interface `JRCrosstabColumnGroup`
      Returns:
        the position of the header contents for header stretching

    - #### getHeight

          public int getHeight()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the height of the group headers.
      Specified by:
        `getHeight` in interface `JRCrosstabColumnGroup`
      Returns:
        the height of the group headers
      See Also:
        `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

    - #### getCrosstabHeader

          public JRCellContents getCrosstabHeader()

      Description copied from interface: `JRCrosstabColumnGroup`
      Returns the crosstab header cell of the column group.

      The cell will be rendered at the left of the corresponding row of column headers, potentially overlapping `the crosstab header cell`.

      The width of the cell is the total width of row group headers, and the height is the height of the corresponding column header.

      Specified by:
        `getCrosstabHeader` in interface `JRCrosstabColumnGroup`
      Returns:
        the crosstab header cell of the column group, or `null` if no header cell is present
      See Also:
        `JRCrosstab.getHeaderCell()`, `JRCrosstabColumnGroup.getHeight()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseCrosstabGroup`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com